/*
 * Ingenic XBurst type definitions.
 *
 * Copyright 2009 (C) Qi Hardware Inc.
 * Author: Xiangfu Liu <xiangfu@sharism.cc>
 * Copyright (C) 2017 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __XBURST_TYPES_H__
#define __XBURST_TYPES_H__

#include <stdint.h>

#define REG8(addr)	*((volatile uint8_t *)(addr))
#define REG16(addr)	*((volatile uint16_t *)(addr))
#define REG32(addr)	*((volatile uint32_t *)(addr))

#endif /* __XBURST_TYPES_H__ */
